﻿using System.Net;
using System.Net.Sockets;
using System.Text;
using EFBTracker.Tracking;

bool done = false;
int listenPort = 49003;
using(UdpClient listener = new UdpClient(listenPort))
{
    IPEndPoint listenEndPoint = new IPEndPoint(2130706433, listenPort);
    while(!done)
    {
        byte[] receivedData = listener.Receive(ref listenEndPoint);

        Console.Clear();
        Console.WriteLine("Received broadcast message from client {0}", listenEndPoint.ToString());

        Console.WriteLine("Decoded data is:");

        Packet[]? data = Packet.ReadPackets(receivedData);

        if (data != null)
        {
            SimPosition position = new SimPosition(data);
            Console.WriteLine($"Latitude: {position.Latitude} Longitude: {position.Longitude} Altitude: {position.Altitude}");
        }
        






    }
}
